# List Strategy Groups

Get a list of strategy groups for a specific campaign

Endpoint: GET /strategy_groups
Version: 3.0.1807
Security: Auth0

## Response 200 fields (application/json):

  - `body` (strategy_group_collection (object) or strategy_group_collection_full (object) or strategy_group_collection_full_extended (object)) — one of:
    - strategy_group_collection:
      - `data` (array)
      - `data.id` (integer)
      - `data.entity_type` (string)
      - `data.name` (string)
      - `meta` (object)
      - `meta.status` (string, required)
        The status of the response, indicating success or failure.
        Example: "success"
      - `meta.count` (integer, required)
        The number of items returned in the current response.
        Example: 10
      - `meta.total_count` (integer)
        The total number of items available in the dataset.
        Example: 100
      - `meta.offset` (integer)
        The offset from the start of the dataset, used for pagination.
      - `meta.next_page` (string)
        The URL to fetch the next page of results.
      - `meta.prev_page` (string)
        The URL to fetch the previous page of results.
    - strategy_group_collection_full:
      - `data` (array)
      - `data.group` (array)
      - `meta` (object)
      - `meta.status` (string, required)
        The status of the response, indicating success or failure.
        Example: "success"
      - `meta.count` (integer, required)
        The number of items returned in the current response.
        Example: 10
      - `meta.total_count` (integer)
        The total number of items available in the dataset.
        Example: 100
      - `meta.offset` (integer)
        The offset from the start of the dataset, used for pagination.
      - `meta.next_page` (string)
        The URL to fetch the next page of results.
      - `meta.prev_page` (string)
        The URL to fetch the previous page of results.
    - strategy_group_collection_full_extended:
      - `data` (array)
      - `data.count` (integer)
      - `data.strategy_ids` (array)
      - `data.name` (string)
      - `meta` (object)
      - `meta.status` (string, required)
        The status of the response, indicating success or failure.
        Example: "success"
      - `meta.count` (integer, required)
        The number of items returned in the current response.
        Example: 10
      - `meta.total_count` (integer)
        The total number of items available in the dataset.
        Example: 100
      - `meta.offset` (integer)
        The offset from the start of the dataset, used for pagination.
      - `meta.next_page` (string)
        The URL to fetch the next page of results.
      - `meta.prev_page` (string)
        The URL to fetch the previous page of results.

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)


